%define upstream_version 2.1.8.2

Summary: Nagios plugins to check various parameters of a MySQL database
Name: monitor-plugin-check_mysql_health
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: http://labs.consol.de/download/shinken-nagios-plugins/check_mysql_health-%{upstream_version}.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: automake
Requires: perl(Time::HiRes)
Requires: perl(DBD::mysql)


%description
check_mysql_health is a monitoring plugin to check the health status of your
mysql servers. You may also use this one to use custom queries in your
check commands.
Retrieved from https://labs.consol.de/nagios/check_mysql_health/.

%prep
%setup -q -n check_mysql_health-%{upstream_version}

%build
aclocal
autoconf
automake
./configure --libexecdir=%{prefix} --libdir=%{prefix} --enable-perfdata
make


%install
make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%attr(755, root, root) %{prefix}/check_mysql_health

%changelog
* Tue May 13 2014 Martin Kamijo < mk@op5.com>
- Repackage for op5 distribution
